"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudWatch = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const CloudWatchClient_1 = require("./CloudWatchClient");
const DeleteAlarmsCommand_1 = require("./commands/DeleteAlarmsCommand");
const DeleteAnomalyDetectorCommand_1 = require("./commands/DeleteAnomalyDetectorCommand");
const DeleteDashboardsCommand_1 = require("./commands/DeleteDashboardsCommand");
const DeleteInsightRulesCommand_1 = require("./commands/DeleteInsightRulesCommand");
const DeleteMetricStreamCommand_1 = require("./commands/DeleteMetricStreamCommand");
const DescribeAlarmHistoryCommand_1 = require("./commands/DescribeAlarmHistoryCommand");
const DescribeAlarmsCommand_1 = require("./commands/DescribeAlarmsCommand");
const DescribeAlarmsForMetricCommand_1 = require("./commands/DescribeAlarmsForMetricCommand");
const DescribeAnomalyDetectorsCommand_1 = require("./commands/DescribeAnomalyDetectorsCommand");
const DescribeInsightRulesCommand_1 = require("./commands/DescribeInsightRulesCommand");
const DisableAlarmActionsCommand_1 = require("./commands/DisableAlarmActionsCommand");
const DisableInsightRulesCommand_1 = require("./commands/DisableInsightRulesCommand");
const EnableAlarmActionsCommand_1 = require("./commands/EnableAlarmActionsCommand");
const EnableInsightRulesCommand_1 = require("./commands/EnableInsightRulesCommand");
const GetDashboardCommand_1 = require("./commands/GetDashboardCommand");
const GetInsightRuleReportCommand_1 = require("./commands/GetInsightRuleReportCommand");
const GetMetricDataCommand_1 = require("./commands/GetMetricDataCommand");
const GetMetricStatisticsCommand_1 = require("./commands/GetMetricStatisticsCommand");
const GetMetricStreamCommand_1 = require("./commands/GetMetricStreamCommand");
const GetMetricWidgetImageCommand_1 = require("./commands/GetMetricWidgetImageCommand");
const ListDashboardsCommand_1 = require("./commands/ListDashboardsCommand");
const ListManagedInsightRulesCommand_1 = require("./commands/ListManagedInsightRulesCommand");
const ListMetricsCommand_1 = require("./commands/ListMetricsCommand");
const ListMetricStreamsCommand_1 = require("./commands/ListMetricStreamsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const PutAnomalyDetectorCommand_1 = require("./commands/PutAnomalyDetectorCommand");
const PutCompositeAlarmCommand_1 = require("./commands/PutCompositeAlarmCommand");
const PutDashboardCommand_1 = require("./commands/PutDashboardCommand");
const PutInsightRuleCommand_1 = require("./commands/PutInsightRuleCommand");
const PutManagedInsightRulesCommand_1 = require("./commands/PutManagedInsightRulesCommand");
const PutMetricAlarmCommand_1 = require("./commands/PutMetricAlarmCommand");
const PutMetricDataCommand_1 = require("./commands/PutMetricDataCommand");
const PutMetricStreamCommand_1 = require("./commands/PutMetricStreamCommand");
const SetAlarmStateCommand_1 = require("./commands/SetAlarmStateCommand");
const StartMetricStreamsCommand_1 = require("./commands/StartMetricStreamsCommand");
const StopMetricStreamsCommand_1 = require("./commands/StopMetricStreamsCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const commands = {
    DeleteAlarmsCommand: DeleteAlarmsCommand_1.DeleteAlarmsCommand,
    DeleteAnomalyDetectorCommand: DeleteAnomalyDetectorCommand_1.DeleteAnomalyDetectorCommand,
    DeleteDashboardsCommand: DeleteDashboardsCommand_1.DeleteDashboardsCommand,
    DeleteInsightRulesCommand: DeleteInsightRulesCommand_1.DeleteInsightRulesCommand,
    DeleteMetricStreamCommand: DeleteMetricStreamCommand_1.DeleteMetricStreamCommand,
    DescribeAlarmHistoryCommand: DescribeAlarmHistoryCommand_1.DescribeAlarmHistoryCommand,
    DescribeAlarmsCommand: DescribeAlarmsCommand_1.DescribeAlarmsCommand,
    DescribeAlarmsForMetricCommand: DescribeAlarmsForMetricCommand_1.DescribeAlarmsForMetricCommand,
    DescribeAnomalyDetectorsCommand: DescribeAnomalyDetectorsCommand_1.DescribeAnomalyDetectorsCommand,
    DescribeInsightRulesCommand: DescribeInsightRulesCommand_1.DescribeInsightRulesCommand,
    DisableAlarmActionsCommand: DisableAlarmActionsCommand_1.DisableAlarmActionsCommand,
    DisableInsightRulesCommand: DisableInsightRulesCommand_1.DisableInsightRulesCommand,
    EnableAlarmActionsCommand: EnableAlarmActionsCommand_1.EnableAlarmActionsCommand,
    EnableInsightRulesCommand: EnableInsightRulesCommand_1.EnableInsightRulesCommand,
    GetDashboardCommand: GetDashboardCommand_1.GetDashboardCommand,
    GetInsightRuleReportCommand: GetInsightRuleReportCommand_1.GetInsightRuleReportCommand,
    GetMetricDataCommand: GetMetricDataCommand_1.GetMetricDataCommand,
    GetMetricStatisticsCommand: GetMetricStatisticsCommand_1.GetMetricStatisticsCommand,
    GetMetricStreamCommand: GetMetricStreamCommand_1.GetMetricStreamCommand,
    GetMetricWidgetImageCommand: GetMetricWidgetImageCommand_1.GetMetricWidgetImageCommand,
    ListDashboardsCommand: ListDashboardsCommand_1.ListDashboardsCommand,
    ListManagedInsightRulesCommand: ListManagedInsightRulesCommand_1.ListManagedInsightRulesCommand,
    ListMetricsCommand: ListMetricsCommand_1.ListMetricsCommand,
    ListMetricStreamsCommand: ListMetricStreamsCommand_1.ListMetricStreamsCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    PutAnomalyDetectorCommand: PutAnomalyDetectorCommand_1.PutAnomalyDetectorCommand,
    PutCompositeAlarmCommand: PutCompositeAlarmCommand_1.PutCompositeAlarmCommand,
    PutDashboardCommand: PutDashboardCommand_1.PutDashboardCommand,
    PutInsightRuleCommand: PutInsightRuleCommand_1.PutInsightRuleCommand,
    PutManagedInsightRulesCommand: PutManagedInsightRulesCommand_1.PutManagedInsightRulesCommand,
    PutMetricAlarmCommand: PutMetricAlarmCommand_1.PutMetricAlarmCommand,
    PutMetricDataCommand: PutMetricDataCommand_1.PutMetricDataCommand,
    PutMetricStreamCommand: PutMetricStreamCommand_1.PutMetricStreamCommand,
    SetAlarmStateCommand: SetAlarmStateCommand_1.SetAlarmStateCommand,
    StartMetricStreamsCommand: StartMetricStreamsCommand_1.StartMetricStreamsCommand,
    StopMetricStreamsCommand: StopMetricStreamsCommand_1.StopMetricStreamsCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
};
class CloudWatch extends CloudWatchClient_1.CloudWatchClient {
}
exports.CloudWatch = CloudWatch;
(0, smithy_client_1.createAggregatedClient)(commands, CloudWatch);
