"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilAlarmExists = exports.waitForAlarmExists = void 0;
const util_waiter_1 = require("@smithy/util-waiter");
const DescribeAlarmsCommand_1 = require("../commands/DescribeAlarmsCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeAlarmsCommand_1.DescribeAlarmsCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.MetricAlarms);
                return flat_1.length > 0.0;
            };
            if (returnComparator() == true) {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForAlarmExists = async (params, input) => {
    const serviceDefaults = { minDelay: 5, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForAlarmExists = waitForAlarmExists;
const waitUntilAlarmExists = async (params, input) => {
    const serviceDefaults = { minDelay: 5, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilAlarmExists = waitUntilAlarmExists;
