import { Environment } from '@standardnotes/models';
import { Session } from '@standardnotes/domain-core';
import { HttpRequestParams, HttpRequest, HttpResponse, HttpResponseMeta } from '@standardnotes/responses';
import { HttpServiceInterface } from './HttpServiceInterface';
export declare class HttpService implements HttpServiceInterface {
    private environment;
    private appVersion;
    private snjsVersion;
    private session;
    private __latencySimulatorMs?;
    private host;
    private inProgressRefreshSessionPromise?;
    private updateMetaCallback;
    private refreshSessionCallback;
    private requestHandler;
    constructor(environment: Environment, appVersion: string, snjsVersion: string);
    setCallbacks(updateMetaCallback: (meta: HttpResponseMeta) => void, refreshSessionCallback: (session: Session) => void): void;
    deinit(): void;
    setSession(session: Session): void;
    setHost(host: string): void;
    getHost(): string;
    get<T>(path: string, params?: HttpRequestParams, authentication?: string): Promise<HttpResponse<T>>;
    getExternal<T>(url: string, params?: HttpRequestParams): Promise<HttpResponse<T>>;
    post<T>(path: string, params?: HttpRequestParams, authentication?: string): Promise<HttpResponse<T>>;
    put<T>(path: string, params?: HttpRequestParams, authentication?: string): Promise<HttpResponse<T>>;
    patch<T>(path: string, params: HttpRequestParams, authentication?: string): Promise<HttpResponse<T>>;
    delete<T>(path: string, params?: HttpRequestParams, authentication?: string): Promise<HttpResponse<T>>;
    runHttp<T>(httpRequest: HttpRequest): Promise<HttpResponse<T>>;
    private refreshSession;
}
