import { SNTag } from '../../../Syncable/Tag/Tag';
import { SNIndex } from '../../Index/SNIndex';
import { ItemCollection } from './ItemCollection';
import { ItemDelta } from '../../Index/ItemDelta';
import { AnyDisplayOptions, VaultDisplayOptions } from '../../Display';
type AllNotesUuidSignifier = undefined;
export type TagItemCountChangeObserver = (tagUuid: string | AllNotesUuidSignifier) => void;
export declare class ItemCounter implements SNIndex {
    private collection;
    observers: TagItemCountChangeObserver[];
    private tagToItemsMap;
    private allCountableItems;
    private countableItemsByType;
    private displayOptions?;
    private vaultDisplayOptions?;
    constructor(collection: ItemCollection, observers?: TagItemCountChangeObserver[]);
    addCountChangeObserver(observer: TagItemCountChangeObserver): () => void;
    setDisplayOptions(options: AnyDisplayOptions): void;
    setVaultDisplayOptions(options: VaultDisplayOptions): void;
    allCountableItemsCount(): number;
    allCountableNotesCount(): number;
    allCountableFilesCount(): number;
    countableItemsForTag(tag: SNTag): number;
    onChange(delta: ItemDelta): void;
    private passesAllFilters;
    private isItemCountable;
    private notifyObservers;
    private receiveTagChanges;
    private receiveItemChanges;
    private setForTag;
}
export {};
