import { ImmutablePayloadCollection } from '../Collection/Payload/ImmutablePayloadCollection';
import { FullyFormedPayloadInterface } from '../../Abstract/Payload';
import { SyncDeltaEmit } from './Abstract/DeltaEmit';
import { SyncDeltaInterface } from './Abstract/SyncDeltaInterface';
import { ConflictUuidConflictParams } from '@standardnotes/responses';
/**
 * UUID conflicts can occur if a user attmpts to import an old data
 * backup with uuids from the old account into a new account.
 * In uuid_conflict, we receive the value we attmpted to save.
 */
export declare class DeltaRemoteUuidConflicts implements SyncDeltaInterface {
    readonly baseCollection: ImmutablePayloadCollection;
    readonly conflicts: ConflictUuidConflictParams<FullyFormedPayloadInterface>[];
    constructor(baseCollection: ImmutablePayloadCollection, conflicts: ConflictUuidConflictParams<FullyFormedPayloadInterface>[]);
    result(): SyncDeltaEmit;
}
