import { ItemDelta } from '../Index/ItemDelta';
import { AnyDisplayOptions, DisplayControllerDisplayOptions, GenericDisplayOptions } from './DisplayOptions';
import { DisplayItem, ReadonlyItemCollection } from './Types';
import { VaultDisplayOptions } from './VaultDisplayOptions';
export declare class ItemDisplayController<I extends DisplayItem, O extends AnyDisplayOptions = GenericDisplayOptions> {
    private readonly collection;
    readonly contentTypes: string[];
    private options;
    private vaultOptions?;
    private sortMap;
    private sortedItems;
    private needsSort;
    constructor(collection: ReadonlyItemCollection, contentTypes: string[], options: DisplayControllerDisplayOptions & O, vaultOptions?: VaultDisplayOptions | undefined);
    items(): I[];
    getDisplayOptions(): DisplayControllerDisplayOptions & O;
    setVaultDisplayOptions(vaultOptions?: VaultDisplayOptions): void;
    setDisplayOptions(displayOptions: Partial<DisplayControllerDisplayOptions & O>): void;
    onCollectionChange(delta: ItemDelta): void;
    private passesAllFilters;
    private filterThenSortElements;
    /** Resort the sortedItems array, and update the saved positions */
    private resortItems;
}
