import { VaultListingInterface } from '../../Syncable/VaultListing/VaultListingInterface';
import { ExclusioanaryOptions, ExclusiveOptions, VaultDisplayOptionsPersistable } from './VaultDisplayOptionsTypes';
import { KeySystemIdentifier } from '../../Syncable/KeySystemRootKey/KeySystemIdentifier';
export declare class VaultDisplayOptions {
    private readonly options;
    constructor(options: ExclusioanaryOptions | ExclusiveOptions);
    getOptions(): ExclusioanaryOptions | ExclusiveOptions;
    getExclusivelyShownVault(): KeySystemIdentifier;
    isInExclusiveDisplayMode(): boolean;
    isVaultExplicitelyExcluded(vault: VaultListingInterface): boolean;
    isVaultExclusivelyShown(vault: VaultListingInterface): boolean;
    isVaultDisabledOrLocked(vault: VaultListingInterface): boolean;
    getPersistableValue(): VaultDisplayOptionsPersistable;
    newOptionsByIntakingLockedVaults(lockedVaults: VaultListingInterface[]): VaultDisplayOptions;
    newOptionsByExcludingVault(vault: VaultListingInterface, lockedVaults: VaultListingInterface[]): VaultDisplayOptions;
    newOptionsByExcludingVaults(vaults: VaultListingInterface[], lockedVaults: VaultListingInterface[]): VaultDisplayOptions;
    newOptionsByUnexcludingVault(vault: VaultListingInterface, lockedVaults: VaultListingInterface[]): VaultDisplayOptions;
    static FromPersistableValue(value: VaultDisplayOptionsPersistable): VaultDisplayOptions;
}
