import { ProtocolVersion } from '@standardnotes/common';
import { ConflictStrategy, DecryptedItem } from '../../Abstract/Item';
import { DecryptedPayloadInterface } from '../../Abstract/Payload';
import { HistoryEntryInterface } from '../../Runtime/History';
import { KeySystemRootKeyContent } from './KeySystemRootKeyContent';
import { KeySystemRootKeyInterface } from './KeySystemRootKeyInterface';
import { KeySystemIdentifier } from './KeySystemIdentifier';
import { KeySystemRootKeyParamsInterface } from '../../Local/KeyParams/KeySystemRootKeyParamsInterface';
export declare function isKeySystemRootKey(x: {
    content_type: string;
}): x is KeySystemRootKey;
export declare class KeySystemRootKey extends DecryptedItem<KeySystemRootKeyContent> implements KeySystemRootKeyInterface {
    keyParams: KeySystemRootKeyParamsInterface;
    systemIdentifier: KeySystemIdentifier;
    key: string;
    keyVersion: ProtocolVersion;
    token: string;
    constructor(payload: DecryptedPayloadInterface<KeySystemRootKeyContent>);
    strategyWhenConflictingWithItem(item: KeySystemRootKey, _previousRevision?: HistoryEntryInterface): ConflictStrategy;
    get itemsKey(): string;
    get key_system_identifier(): undefined;
    get shared_vault_uuid(): undefined;
}
