import { ContactPublicKeySetInterface } from './ContactPublicKeySetInterface';
import { ContactPublicKeySetJsonInterface } from './ContactPublicKeySetJsonInterface';
export declare class ContactPublicKeySet implements ContactPublicKeySetInterface {
    encryption: string;
    signing: string;
    timestamp: Date;
    isRevoked: boolean;
    previousKeySet?: ContactPublicKeySet;
    constructor(encryption: string, signing: string, timestamp: Date, isRevoked: boolean, previousKeySet: ContactPublicKeySet | undefined);
    findKeySet(params: {
        targetEncryptionPublicKey: string;
        targetSigningPublicKey: string;
    }): ContactPublicKeySetInterface | undefined;
    findKeySetWithSigningKey(signingKey: string): ContactPublicKeySetInterface | undefined;
    findKeySetWithPublicKey(publicKey: string): ContactPublicKeySetInterface | undefined;
    static FromJson(json: ContactPublicKeySetJsonInterface): ContactPublicKeySetInterface;
}
