import { ConflictStrategy, DecryptedItem, DecryptedItemInterface } from '../../Abstract/Item';
import { DecryptedPayloadInterface } from '../../Abstract/Payload';
import { HistoryEntryInterface } from '../../Runtime/History';
import { TrustedContactContent } from './TrustedContactContent';
import { TrustedContactInterface } from './TrustedContactInterface';
import { FindPublicKeySetResult } from './PublicKeySet/FindPublicKeySetResult';
import { ContactPublicKeySetInterface } from './PublicKeySet/ContactPublicKeySetInterface';
import { Predicate } from '../../Runtime/Predicate/Predicate';
export declare class TrustedContact extends DecryptedItem<TrustedContactContent> implements TrustedContactInterface {
    static singletonPredicate: Predicate<TrustedContact>;
    name: string;
    contactUuid: string;
    publicKeySet: ContactPublicKeySetInterface;
    isMe: boolean;
    constructor(payload: DecryptedPayloadInterface<TrustedContactContent>);
    get isSingleton(): true;
    singletonPredicate(): Predicate<TrustedContact>;
    findKeySet(params: {
        targetEncryptionPublicKey: string;
        targetSigningPublicKey: string;
    }): FindPublicKeySetResult;
    isPublicKeyTrusted(encryptionPublicKey: string): boolean;
    isSigningKeyTrusted(signingKey: string): boolean;
    strategyWhenConflictingWithItem(_item: DecryptedItemInterface, _previousRevision?: HistoryEntryInterface): ConflictStrategy;
}
