import { ConflictStrategy, DecryptedItem } from '../../Abstract/Item';
import { DecryptedPayloadInterface } from '../../Abstract/Payload';
import { HistoryEntryInterface } from '../../Runtime/History';
import { KeySystemRootKeyParamsInterface } from '../../Local/KeyParams/KeySystemRootKeyParamsInterface';
import { KeySystemRootKeyPasswordType } from '../../Local/KeyParams/KeySystemRootKeyPasswordType';
import { SharedVaultListingInterface, VaultListingInterface } from './VaultListingInterface';
import { VaultListingContent } from './VaultListingContent';
import { KeySystemRootKeyStorageMode } from '../KeySystemRootKey/KeySystemRootKeyStorageMode';
import { VaultListingSharingInfo } from './VaultListingSharingInfo';
import { KeySystemIdentifier } from '../KeySystemRootKey/KeySystemIdentifier';
export declare class VaultListing extends DecryptedItem<VaultListingContent> implements VaultListingInterface {
    systemIdentifier: KeySystemIdentifier;
    rootKeyParams: KeySystemRootKeyParamsInterface;
    keyStorageMode: KeySystemRootKeyStorageMode;
    name: string;
    description?: string;
    sharing?: VaultListingSharingInfo;
    constructor(payload: DecryptedPayloadInterface<VaultListingContent>);
    strategyWhenConflictingWithItem(item: VaultListing, _previousRevision?: HistoryEntryInterface): ConflictStrategy;
    get keyPasswordType(): KeySystemRootKeyPasswordType;
    isSharedVaultListing(): this is SharedVaultListingInterface;
    get key_system_identifier(): undefined;
    get shared_vault_uuid(): undefined;
}
