import { DecryptedPayloadInterface } from '../../Abstract/Payload/Interfaces/DecryptedPayload';
import { DecryptedItem } from '../../Abstract/Item/Implementations/DecryptedItem';
import { MutationType } from '../../Abstract/Item/Types/MutationType';
import { DecryptedItemInterface } from '../../Abstract/Item/Interfaces/DecryptedItem';
import { ItemContent } from '../../Abstract/Content/ItemContent';
import { DecryptedItemMutator } from '../../Abstract/Item/Mutator/DecryptedItemMutator';
import { EncryptedItemInterface } from '../../Abstract/Item/Interfaces/EncryptedItem';
import { DeletedItemInterface } from '../../Abstract/Item/Interfaces/DeletedItem';
import { DeletedPayloadInterface, EncryptedPayloadInterface } from '../../Abstract/Payload';
type ItemClass<C extends ItemContent = ItemContent> = new (payload: DecryptedPayloadInterface<C>) => DecryptedItem<C>;
export declare function CreateDecryptedMutatorForItem<I extends DecryptedItemInterface, M extends DecryptedItemMutator<ItemContent, I> = DecryptedItemMutator<ItemContent, I>>(item: I, type: MutationType): M;
export declare function RegisterItemClass<C extends ItemContent = ItemContent, M extends DecryptedItemMutator<C> = DecryptedItemMutator<C>>(contentType: string, itemClass: ItemClass<C>, mutatorClass: M): void;
export declare function CreateDecryptedItemFromPayload<C extends ItemContent = ItemContent, T extends DecryptedItemInterface<C> = DecryptedItemInterface<C>>(payload: DecryptedPayloadInterface<C>): T;
export declare function CreateItemFromPayload<C extends ItemContent = ItemContent, T extends DecryptedItemInterface<C> = DecryptedItemInterface<C>>(payload: DecryptedPayloadInterface<C> | EncryptedPayloadInterface | DeletedPayloadInterface): EncryptedItemInterface | DeletedItemInterface | T;
export {};
