/**
 * Maps a UUID to an array of UUIDS to establish either direct or inverse
 * relationships between UUID strings (represantative of items or payloads).
 */
export declare class UuidMap {
    /** uuid to uuids that we have a relationship with */
    private directMap;
    /** uuid to uuids that have a relationship with us */
    private inverseMap;
    get directMapSize(): number;
    get inverseMapSize(): number;
    makeCopy(): UuidMap;
    existsInDirectMap(uuid: string): boolean;
    existsInInverseMap(uuid: string): boolean;
    getDirectRelationships(uuid: string): string[];
    getAllDirectKeys(): string[];
    getInverseRelationships(uuid: string): string[];
    establishRelationship(uuidA: string, uuidB: string): void;
    deestablishRelationship(uuidA: string, uuidB: string): void;
    setAllRelationships(uuid: string, relationships: string[]): void;
    removeFromMap(uuid: string): void;
    private establishDirectRelationship;
    private establishInverseRelationship;
    private deestablishDirectRelationship;
    private deestablishInverseRelationship;
}
