"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("mocha");
const expect_1 = __importDefault(require("expect"));
const api_1 = require("@opentelemetry/api");
const semantic_conventions_1 = require("@opentelemetry/semantic-conventions");
const src_1 = require("../src");
const contrib_test_utils_1 = require("@opentelemetry/contrib-test-utils");
const instrumentation = contrib_test_utils_1.registerInstrumentationTesting(new src_1.TypeormInstrumentation());
const typeorm = __importStar(require("typeorm"));
const utils_1 = require("./utils");
describe('Connection', () => {
    after(() => {
        instrumentation.enable();
    });
    beforeEach(() => {
        instrumentation.enable();
    });
    afterEach(() => {
        instrumentation.disable();
    });
    describe('single connection', () => {
        it('raw query', async () => {
            const options = utils_1.rawQueryOptions;
            const connection = await typeorm.createConnection(utils_1.rawQueryOptions);
            const query = 'select * from user';
            await connection.query(query);
            const typeOrmSpans = contrib_test_utils_1.getTestSpans();
            expect_1.default(typeOrmSpans.length).toBe(1);
            expect_1.default(typeOrmSpans[0].status.code).toBe(api_1.SpanStatusCode.UNSET);
            const attributes = typeOrmSpans[0].attributes;
            expect_1.default(attributes[semantic_conventions_1.SemanticAttributes.DB_SYSTEM]).toBe(options.type);
            expect_1.default(attributes[semantic_conventions_1.SemanticAttributes.DB_NAME]).toBe(options.database);
            expect_1.default(attributes[semantic_conventions_1.SemanticAttributes.DB_OPERATION]).toBe('SELECT');
            expect_1.default(attributes[semantic_conventions_1.SemanticAttributes.DB_STATEMENT]).toBe(query);
            await connection.close();
        });
    });
});
//# sourceMappingURL=Connection.spec.js.map