"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("mocha");
const expect_1 = __importDefault(require("expect"));
const src_1 = require("../src");
const contrib_test_utils_1 = require("@opentelemetry/contrib-test-utils");
const instrumentation = contrib_test_utils_1.registerInstrumentationTesting(new src_1.TypeormInstrumentation());
const utils_1 = require("./utils");
const typeorm = __importStar(require("typeorm"));
const semantic_conventions_1 = require("@opentelemetry/semantic-conventions");
describe('Repository', () => {
    beforeEach(() => {
        instrumentation.enable();
    });
    afterEach(() => {
        instrumentation.disable();
    });
    it('findAndCount', async () => {
        const connection = await typeorm.createConnection(utils_1.defaultOptions);
        const repo = connection.getRepository(utils_1.User);
        const user = new utils_1.User(1, 'aspecto', 'io');
        await repo.insert(user);
        const [users, count] = await repo.findAndCount();
        expect_1.default(count).toBeGreaterThan(0);
        const spans = contrib_test_utils_1.getTestSpans();
        expect_1.default(spans.length).toEqual(2);
        const span = spans[0];
        const attributes = span.attributes;
        expect_1.default(attributes[semantic_conventions_1.SemanticAttributes.DB_SQL_TABLE]).toBe('user');
        await connection.close();
    });
});
//# sourceMappingURL=Repository.spec.js.map